Ruby: objspace Struct Reference

Ruby 3.4.4p34 (2025-05-14 revision a38531fd3f617bf734ef7d6c595325f69985ea1d)

Data Fields
objspace Struct Reference

## Data Fields
bool | measure_gc_time
bool | gc_stress
size_t | gc_count
size_t | total_gc_time
size_t | total_allocated_objects
st_table * | id_to_obj_tbl
st_table * | obj_to_id_tbl
unsigned long long | next_object_id
st_table * | finalizer_table
struct MMTk_final_job * | finalizer_jobs
rb_postponed_job_handle_t | finalizer_postponed_job
struct ccan_list_head | ractor_caches
unsigned long | live_ractor_cache_count
pthread_mutex_t | mutex
bool | world_stopped
pthread_cond_t | cond_world_stopped
pthread_cond_t | cond_world_started
size_t | start_the_world_count
struct rb_gc_vm_context | vm_context

## Detailed Description

Definition at line 19 of file mmtk.c.

## Field Documentation

## ◆ cond_world_started

pthread_cond_t objspace::cond_world_started

Definition at line 41 of file mmtk.c.

## ◆ cond_world_stopped

pthread_cond_t objspace::cond_world_stopped

Definition at line 40 of file mmtk.c.

## ◆ finalizer_jobs

struct MMTk_final_job* objspace::finalizer_jobs

Definition at line 32 of file mmtk.c.

## ◆ finalizer_postponed_job

rb_postponed_job_handle_t objspace::finalizer_postponed_job

Definition at line 33 of file mmtk.c.

## ◆ finalizer_table

st_table* objspace::finalizer_table

Definition at line 31 of file mmtk.c.

## ◆ gc_count

size_t objspace::gc_count

Definition at line 23 of file mmtk.c.

## ◆ gc_stress

bool objspace::gc_stress

Definition at line 21 of file mmtk.c.

## ◆ id_to_obj_tbl

st_table* objspace::id_to_obj_tbl

Definition at line 27 of file mmtk.c.

## ◆ live_ractor_cache_count

unsigned long objspace::live_ractor_cache_count

Definition at line 36 of file mmtk.c.

## ◆ measure_gc_time

bool objspace::measure_gc_time

Definition at line 20 of file mmtk.c.

## ◆ mutex

pthread_mutex_t objspace::mutex

Definition at line 38 of file mmtk.c.

## ◆ next_object_id

unsigned long long objspace::next_object_id

Definition at line 29 of file mmtk.c.

## ◆ obj_to_id_tbl

st_table* objspace::obj_to_id_tbl

Definition at line 28 of file mmtk.c.

## ◆ ractor_caches

struct ccan_list_head objspace::ractor_caches

Definition at line 35 of file mmtk.c.

## ◆ start_the_world_count

size_t objspace::start_the_world_count

Definition at line 42 of file mmtk.c.

## ◆ total_allocated_objects

size_t objspace::total_allocated_objects

Definition at line 25 of file mmtk.c.

## ◆ total_gc_time

size_t objspace::total_gc_time

Definition at line 24 of file mmtk.c.

## ◆ vm_context

struct rb_gc_vm_context objspace::vm_context

Definition at line 44 of file mmtk.c.

## ◆ world_stopped

bool objspace::world_stopped

Definition at line 39 of file mmtk.c.

The documentation for this struct was generated from the following file:

- gc/mmtk/mmtk.c